We just released our native n8n integration!ยป Try now
OnlyFans API

Get Welcome Message

Get the current automatic welcome message template that is sent when someone subscribes.

GET
/api/{account}/settings/welcome-message
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/settings/welcome-message"
{
  "data": {
    "id": "12345678901",
    "template": "reply_on_subscribe",
    "text": "<p>Hey, welcome to my profile</p>",
    "displayText": "<p>Hey, welcome to my profile</p>",
    "price": 0,
    "lockedText": false,
    "previews": [],
    "isMediaReady": true,
    "mediaCount": 1,
    "media": [
      {
        "id": 1234567890,
        "type": "photo",
        "convertedToVideo": false,
        "canView": true,
        "hasError": false,
        "createdAt": "2026-04-28T20:44:55+00:00",
        "isReady": true,
        "files": {
          "full": {
            "url": "https://cdn2.onlyfans.com/files/example/full.jpg",
            "width": 549,
            "height": 309,
            "size": 0,
            "sources": []
          },
          "thumb": {
            "url": "https://cdn2.onlyfans.com/files/example/thumb.jpg",
            "width": 300,
            "height": 300,
            "size": 0
          },
          "preview": {
            "url": "https://cdn2.onlyfans.com/files/example/preview.jpg",
            "width": 549,
            "height": 309,
            "size": 0
          },
          "squarePreview": {
            "url": "https://cdn2.onlyfans.com/files/example/square.jpg",
            "width": 960,
            "height": 960,
            "size": 0
          }
        },
        "duration": 0,
        "releaseForms": [],
        "hasCustomPreview": false,
        "videoSources": {
          "240": null,
          "720": null
        }
      }
    ],
    "createdAt": "2026-04-28T20:44:55+00:00",
    "isActive": false,
    "giphyId": null,
    "isCouplePeopleMedia": false,
    "isMarkdownDisabled": true,
    "releaseForms": []
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999968,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 10000000,
      "limit_day": 50000,
      "remaining_minute": 9999997,
      "remaining_day": 49969
    }
  }
}